Name:           octave-forge
Version:        2006.07.09
Release:        4%{?dist}
Summary:        Contributed functions for octave

Group:          Applications/Engineering
License:        Public Domain
URL:            http://octave.sourceforge.net
## Source0:        http://umn.dl.sourceforge.net/sourceforge/octave/%{name}-%{version}.tar.gz
## The original sources contain a non-free tree of functions that are
## GPL incompatible. A patched version with the non-free sources removed
## is created as follows:
## tar xzf octave-forge-%{version}.tar.gz
## rm -Rf octave-forge-%{version}/nonfree/
## tar czf octave-forge-%{version}.patched.tar.gz octave-forge-%{version}
## rm -Rf octave-forge-%{version}
Source0:        %{name}-%{version}.patched.tar.gz
Patch0:         octave-forge-2006.07.09-legend.patch
Patch1:         octave-forge-2006.07.09-imread.patch
Patch2:         octave-forge-2006.07.09-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	octave >= 2.9.8 ImageMagick
BuildRequires:  octave-devel tetex gcc-gfortran ginac-devel qhull-devel
BuildRequires:  ImageMagick-c++-devel libnc-dap-devel pcre-devel gsl-devel
BuildRequires:  libjpeg-devel libpng-devel ncurses-devel libtermcap-devel

%description
Octave-forge is a community project for collaborative development of
octave extensions. The extensions in this package include additional
data types such as sparse matrices, and functions for a variety of
different applications including signal and image processing,
communications, control, optimization, statistics, geometry, and
symbolic math.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
# For octave >= 2.9.7, don't install the mex stuff or path stuff
touch extra/mex/NOINSTALL
touch main/path/NOINSTALL

%build
ALTMPATHNAME=%{_datadir}/octave/site/octave-forge-alternatives/m/octave-forge
XPATHNAME=`octave-config -p LOCALARCHLIBDIR`/octave-forge
%configure --with-altmpath=$ALTMPATHNAME --with-xpath=$XPATHNAME
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
ALTPATHNAME=octave/site/octave-forge-alternatives
HOSTTYPE=`octave-config -p CANONICAL_HOST_TYPE`
%makeinstall \
  MPATH=$RPM_BUILD_ROOT`octave-config -p LOCALFCNFILEDIR`/octave-forge \
  OPATH=$RPM_BUILD_ROOT`octave-config -p LOCALAPIOCTFILEDIR`/octave-forge \
  XPATH=$RPM_BUILD_ROOT`octave-config -p LOCALARCHLIBDIR`/octave-forge \
  ALTPATH=$RPM_BUILD_ROOT%{_datadir}/$ALTPATHNAME/m \
  ALTMPATH=$RPM_BUILD_ROOT%{_datadir}/$ALTPATHNAME/m/octave-forge \
  ALTOPATH=$RPM_BUILD_ROOT%{_libexecdir}/$ALTPATHNAME/oct/$HOSTTYPE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING* README RELEASE-NOTES TODO
%doc doc/*.html doc/coda/*.sgml doc/coda/appendices/*.sgml
%doc doc/coda/oct/*.sgml doc/coda/standalone/*.sgml
%{_datadir}/octave/*
%{_libexecdir}/octave/*


%changelog
* Fri Aug 25 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-4
- New build for octave 2.9.8.
- Patch bug in imread.m
- Patch LOADPATH bug.
- Fix configure command so that m files containing paths are
  correctly generated.

* Sat Jul 29 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-3
- New build for octave 2.9.7.
- Disable mex related functions (they are in octave now).

* Thu Jul 13 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-2
- Accidentally deleted the configure command.

* Thu Jul 13 2006 Quentin Spencer <qspencer@users.sf.net> 2006.07.09-1
- New upstream release. Remove old patches and add one new one.

* Fri May 12 2006 Quentin Spencer <qspencer@users.sf.net> 2001.03.17-3
- Rebuild with various changes for octave-2.9.5

* Mon Mar 27 2006 Quentin Spencer <qspencer@users.sf.net> 2001.03.17-2
- Rebuild (apparently needed for new octave release, fixes bug #186964).

* Fri Mar 17 2006 Quentin Spencer <qspencer@users.sf.net> 2001.03.17-1
- New release. Remove old patch.

* Fri Feb  3 2006 Quentin Spencer <qspencer@users.sf.net> 2001.01.28-2
- Patch to fix some files that were not installed.

* Mon Jan 30 2006 Quentin Spencer <qspencer@users.sf.net> 2001.01.28-1
- New release. Remove old patch.
- Change installation paths so they now depend on the octave API version
  rather than the octave version, which will make updates less frequent.

* Fri Nov 11 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-11
- Rebuild for new version of octave (2.1.72).

* Wed Nov  2 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-10
- Rebuild for new versions of ginac and cln.

* Tue Oct 25 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-9
- Change octave version dependency to query octave rather than rpm.

* Fri Aug 05 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-8
- Rebuild for new version of ginac.

* Wed Aug 03 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-7
- Remove BuildRequires that are now required by octave-devel.

* Wed Jun 22 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-6
- Rebuild.

* Fri Jun 17 2005 Quentin Spencer <qspencer@users.sf.net> 2005.06.13-1
- New upstream release. Now requires pcre-devel to build.
- Corrected instructions on creating patched source tarball.
- Cleanup of unneeded things in build section
- Add patch for problem with main/plot/legend.m
- Add fftw3-devel to BuildRequires.

* Fri Jun  3 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-8
- Remove explicit BuildRequires for c++ compiler and libs
  (not needed and causes build failure in the build system for x86_64).

* Mon Apr 25 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-7
- Changed license (some functions are GPL, BSD, and public domain,
  so the collection is licensed as public domain).
- Moved ugly path hacks from build to install so that RPM_BUILD_ROOT
  doesn't end up in the code (which it did before).
- Replaced upstream tarball with patched version that removed GPL
  incompatible code.

* Thu Apr 21 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-6
- Added GiNaC-devel BuildRequires

* Tue Mar 29 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-5
- Rebuild for octave-2.1.69

* Mon Mar 28 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-4
- Rebuild for octave-2.1.68

* Thu Feb 24 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-3
- Updated spec file to get octave version at build time.

* Wed Nov 17 2004 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-2
- Revised package description.

* Tue Jun 15 2004 Quentin Spencer <qspencer@users.sf.net>
- Added qhull support.

* Tue Feb  4 2003 Quentin Spencer <qspencer@users.sf.net>
- First Version, loosely based on Red Hat's spec file for octave.
